package com.elitesland.Utils;

import com.alibaba.fastjson.JSONObject;
import com.elitesland.core.base.ApiCode;
import com.elitesland.core.exception.BusinessException;
import com.elitesland.core.util.RedisUtils;
import lombok.val;
import org.springframework.http.*;
import org.springframework.web.client.RestTemplate;

/**
 * @Author Kevin.yuan
 * @Data 2021/2/2 15:14
 * @description
 */
public class QueueUtils {

    //测试接口使用U
    public static String queues(String testUrl, String token, QueueParmas param){
        val params = new JSONObject();
        val payDetails = new JSONObject();
        val  payInfo = new JSONObject();
        params.put("status",param.getStatus());
        params.put("pretestEmpCode",param.getPretestEmpCode());
        params.put("pretestEmpName",param.getPretestEmpName());
        params.put("pretestStart",param.getStatus());
        //设置请求头
        val httpHeaders = new HttpHeaders();
        httpHeaders.set("Content-Type", "application/json");
//        String TEST_URL = "http://demo.fafa.com.cn/yd-queue-api/api/serviceOrder/testApi";
        val httpEntity = new HttpEntity<>(params, httpHeaders);
//        httpHeaders.set("Authorization", "6663c554-4a8d-4f59-bf8c-c83b55b20699");
        httpHeaders.set("Authorization", token);
        // 发起请求
        RestTemplate restTemplate = new RestTemplate();
        //4.使用POST方式调用，如其他方式，改变传参即可
        ResponseEntity<String> result = restTemplate.exchange(testUrl, HttpMethod.POST, httpEntity, String.class);
        if (result.getStatusCode().compareTo(HttpStatus.OK) != 0) {
            throw new BusinessException(ApiCode.FAIL, "接口异常，请稍后重试");
        }
        return result.getBody();
    }

    //接口调用工具类方法
    public static String queue(String testUrl, String token, JSONObject jsonObject,HttpHeaders httpHeaders,HttpMethod httpMethod){

        val httpEntity = new HttpEntity<>(jsonObject, httpHeaders);
        httpHeaders.set("token", token);
        // 发起请求
        RestTemplate restTemplate = new RestTemplate();
        ResponseEntity<String> result = restTemplate.exchange(testUrl, httpMethod, httpEntity, String.class);
        if (result.getStatusCode().compareTo(HttpStatus.OK) != 0) {
            throw new BusinessException(ApiCode.FAIL, "接口异常，请稍后重试");
        }
        return result.getBody();
    }


}
