package com.elitesland.demo.service.impl;

import com.elitesland.demo.service.AfterSaleService;
import com.elitesland.demo.vo.ServiceStationVO;
import com.elitesland.org.service.EmployeeService;
import com.elitesland.org.service.OrgBuService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import lombok.val;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

import java.util.Optional;

/**
 * <p>
 * 功能说明
 * </p >
 *
 * @author Roman.Zhang
 * @date 2021/2/3
 */
@Service
@Slf4j
@RequiredArgsConstructor
public class AfterSaleServiceImpl implements AfterSaleService {

    private final EmployeeService employeeService;

    private final OrgBuService orgBuService;

    @Override
    public Optional<ServiceStationVO> getEmpAndWcData() {
        val serviceStationVO = new ServiceStationVO();
        final val currentEmp = employeeService.getCurrentEmp();
        if(!StringUtils.isEmpty(currentEmp)){
            val buId = currentEmp.get(0).getBuId();
            serviceStationVO.setEmployeeVOS(currentEmp);
            if(buId!=null){
                val orgBuVOS = orgBuService.listAllByParentId(buId);
                serviceStationVO.setOrgBuVOS(orgBuVOS);
            }
        }
        return Optional.of(serviceStationVO);
    }
}
