package com.elitesland.demo.service.rpc;

import com.elitesland.common.dto.user.DemoUserDTO;
import com.elitesland.common.rpc.user.UserRpcDemoService;
import com.elitesland.core.base.ApiResult;
import com.elitesland.demo.service.DemoService;
import com.elitesland.demo.service.DemoTestService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import lombok.val;
import org.apache.dubbo.config.annotation.DubboService;
import org.springframework.util.StringUtils;

/**
 * <p>
 * 功能说明
 * </p >
 *
 * @author Roman.Zhang
 * @date 2021/1/30
 */
@Slf4j
//@Service("syncServiceRpc")
@DubboService(version = "${provider.service.version}", timeout = 1200000)
@RequiredArgsConstructor
public class DemoRpcServiceImpl implements UserRpcDemoService {


    private final DemoTestService demoTestService;

    @Override
    public ApiResult<Object> getDemo(String demo) {
        val product  = StringUtils.isEmpty(demo) ?
                "数据信息不符合要求":demoTestService.getDemoTest(demo);
        return ApiResult.ok(product);
    }
}
